language-javascript-0.7.1.0: Parser for JavaScript

Safe Haskell | Safe-Inferred
Language | Haskell98

Language.JavaScript.Parser.SrcLocation

Synopsis

- data TokenPosn = TokenPn !Int !Int !Int
- tokenPosnEmpty :: TokenPosn

# Documentation

data TokenPosn #

`TokenPosn` records the location of a token in the input text. It has three fields: the address (number of characters preceding the token), line number and column of a token within the file. Note: The lexer assumes the usual eight character tab stops.

Constructors

TokenPn !Int !Int !Int |

#### Instances

Instances details

Data TokenPosn # |

Instance details

Defined in Language.JavaScript.Parser.SrcLocation

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> TokenPosn -> c TokenPosn #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c TokenPosn #

toConstr :: TokenPosn -> Constr #

dataTypeOf :: TokenPosn -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c TokenPosn) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c TokenPosn) #

gmapT :: (forall b. Data b => b -> b) -> TokenPosn -> TokenPosn #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> TokenPosn -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> TokenPosn -> r #

gmapQ :: (forall d. Data d => d -> u) -> TokenPosn -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> TokenPosn -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> TokenPosn -> m TokenPosn #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> TokenPosn -> m TokenPosn #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> TokenPosn -> m TokenPosn #

Read TokenPosn # |
Instance details Defined in Language.JavaScript.Parser.SrcLocation Methods readsPrec :: Int -> ReadS TokenPosn # readList :: ReadS [TokenPosn] # readPrec :: ReadPrec TokenPosn # readListPrec :: ReadPrec [TokenPosn] #
Show TokenPosn # |
Instance details Defined in Language.JavaScript.Parser.SrcLocation Methods showsPrec :: Int -> TokenPosn -> ShowS # show :: TokenPosn -> String # showList :: [TokenPosn] -> ShowS #
Eq TokenPosn # |
Instance details Defined in Language.JavaScript.Parser.SrcLocation Methods (==) :: TokenPosn -> TokenPosn -> Bool # (/=) :: TokenPosn -> TokenPosn -> Bool #

tokenPosnEmpty :: TokenPosn #